Contact Endpoints
Manage organization contacts β customers, vendors, leads, and other business contacts used across the CRM module.
Base Pathβ
/api/organization-contact
Endpointsβ
List Contacts (Paginated)β
GET /api/organization-contact/pagination
Authorization: Bearer {token}
Find All Contactsβ
GET /api/organization-contact
Authorization: Bearer {token}
Get Contact by IDβ
GET /api/organization-contact/:id
Authorization: Bearer {token}
Create Contactβ
POST /api/organization-contact
Authorization: Bearer {token}
Content-Type: application/json
{
"name": "Acme Corporation",
"contactType": "CUSTOMER",
"primaryEmail": "info@acme.com",
"primaryPhone": "+1-555-0123",
"organizationId": "uuid",
"imageUrl": "https://...",
"budget": 50000,
"budgetType": "HOURS",
"members": [{ "id": "employee-uuid" }],
"tags": [{ "id": "tag-uuid" }]
}
Update Contactβ
PUT /api/organization-contact/:id
Authorization: Bearer {token}
Content-Type: application/json
{
"name": "Updated Contact Name",
"primaryEmail": "new@email.com"
}
Delete Contactβ
DELETE /api/organization-contact/:id
Authorization: Bearer {token}
Contact Typesβ
| Type | Description |
|---|---|
CUSTOMER | Paying customer |
CLIENT | Client relationship |
LEAD | Prospective customer |
VENDOR | Supplier or vendor |
PARTNER | Business partner |
Data Modelβ
interface IOrganizationContact {
id: string;
name: string;
contactType: ContactType;
primaryEmail?: string;
primaryPhone?: string;
imageUrl?: string;
budget?: number;
budgetType?: OrganizationContactBudgetTypeEnum;
notes?: string;
// Relations
organizationId: string;
members?: IEmployee[];
projects?: IOrganizationProject[];
invoices?: IInvoice[];
tags?: ITag[];
tenantId: string;
}
Permissionsβ
| Action | Required Permission |
|---|---|
| View contacts | ALL_ORG_VIEW or ORG_CONTACT_VIEW |
| Create contacts | ALL_ORG_EDIT or ORG_CONTACT_EDIT |
| Update contacts | ALL_ORG_EDIT or ORG_CONTACT_EDIT |
| Delete contacts | ALL_ORG_EDIT or ORG_CONTACT_EDIT |
Related Pagesβ
- CRM Overview β CRM feature documentation
- Pipeline & Deal Endpoints β sales pipelines
- Contacts Management β feature guide